global:
  env: prod
  public: true
  ownerAccess: true
  services:
    merge-priority-manager:
      ingress:
        host: priority-manager.zooxlabs.com
      replicaCount: 4
      env:
        MERGE_PRIORITY_MANAGER__POSTGRES__LOGGING__LEVEL:
          value: "INFO"
        MERGE_PRIORITY_MANAGER__MERGE_PRIORITY_MANAGER_CONTROLLER__ENV:
          value: "prod"
        MERGE_PRIORITY_MANAGER__POSTGRES__HOST:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: ENDPOINT_ADDRESS
        MERGE_PRIORITY_MANAGER__POSTGRES__PASSWORD:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: MASTER_PASSWORD
        MERGE_PRIORITY_MANAGER__POSTGRES__PORT:
          valueFrom:
            secretKeyRef:
              name: postgresql-rds
              key: PORT
    merge-conflict-check-daemon:
      replicaCount: 10
      env:
        MERGE_CONFLICT_CHECK_DAEMON__CONFLICT_HANDLER__ENV:
          value: "prod"
    priority-frontend:
      ingress:
        host: priority.zooxlabs.com

ci-pipeline:
  enabled: true

sqs-sns:
  enabled: true

rds:
  create: true
  AccessCidr: "10.3.0.0/12"
  CidrBlocks: "10.5.132.0/28,10.5.132.16/28"
